'use server'
import { db } from '../db/index'
import { wines } from '../db/schema'

type Wine = {
  name: string;
  producer: string;
}

export type InsertResult = {
  name: string;
  producer: string;
  id: string;
  createdAt: Date;
  updatedAt: Date | null;
}[];

export const addWine = async (wine: Wine): Promise<InsertResult>  => {
  const { name, producer } = wine;
  const response = await db.insert(wines).values({
      producer: producer,
      name: name,
    })
    .returning();
  return response;
  };